%define build_manual	0

Name:           ragel
Version:        6.10
Release:        %mkrel 4
Summary:        Finite state machine compiler
Group:          Development/Other
# aapl/ is the LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://www.colm.net/open-source/ragel/
Source0:        http://www.colm.net/files/ragel/%{name}-%{version}.tar.gz
%if %{build_manual}
BuildRequires:  transfig
BuildRequires:  texlive
BuildRequires:  texlive-texmf
%endif

%description
Ragel compiles finite state machines from regular languages into executable C,
C++, Objective-C, D, Java or Ruby code.

Ragel state machines can not only recognize byte sequences as regular
expression machines do, but can also execute code at arbitrary points in the
recognition of a regular language.

Code embedding is done using inline operators that do not disrupt the regular
language syntax.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
%if %{build_manual}
	--enable-manual \
%endif
	RUBY=ruby \
	JAVAC=javac \
	GMCS=gmcs
%make_build

%install
%make_install

%files
%doc ragel.vim
%doc examples
%doc doc/ragel-guide.pdf
%doc CREDITS ChangeLog
%{_bindir}/ragel
%{_mandir}/man1/ragel.*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 6.10-4.mga9
+ Revision: 1792274
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 6.10-3.mga8
+ Revision: 1516356
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 6.10-2.mga7
+ Revision: 1300772
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 cjw <cjw> 6.10-1.mga7
+ Revision: 1170919
- 6.10
+ wally <wally>
- make manual build conditional (and disable it by now)
- update license

* Fri Feb 12 2016 umeabot <umeabot> 6.9-2.mga6
+ Revision: 958718
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 6.9-1.mga6
+ Revision: 881830
- update URL
- new version 6.9

* Wed Oct 15 2014 umeabot <umeabot> 6.8-5.mga5
+ Revision: 743367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.8-4.mga5
+ Revision: 688606
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 6.8-3.mga4
+ Revision: 545959
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 6.8-2.mga4
+ Revision: 502053
- BR texlive-texmf

* Wed Aug 07 2013 wally <wally> 6.8-1.mga4
+ Revision: 464493
- new version 6.8
- clean .spec
- imported package ragel


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 6.3-2mdv2010.0
+ Revision: 433054
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 6.3-1mdv2009.0
+ Revision: 280641
- New release

  + Pascal Terjan <pterjan@mandriva.org>
    - Update description to list Java and Ruby

* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 6.2-1mdv2009.0
+ Revision: 260694
- import ragel


* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 6.2-1mdv2009.0
- adapt for Mandriva

* Mon May 12 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.2-1
- update to 6.2

* Mon Apr 14 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.1-1
- update to 6.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.0-2
- Autorebuild for GCC 4.3

* Sat Jan 19 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 6.0-1
- update to 6.0

* Sun Jan 06 2008 Jeremy Hinegardner <jeremy at hinegardner dot org> - 5.25-1
- update to 5.25

* Tue Sep 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.24-1
- update to 5.24
- update License tag

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 5.23-2
- Rebuild for selinux ppc32 issue.

* Tue Jul 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.23-1
- update to 5.23
- removed ragel-rlcodegen-replace.patch - it was applied upstream

* Mon Jun 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.22-1
- update to 5.22
- remove ragel-Makefile-in.patch - it was applied upstream
- update ragel-rlcodegen-replace.patch to apply cleanly

* Sat Mar 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-4
- further replacement of rlcodegen
- rework patches

* Fri Mar 23 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-3
- replace RPM_BUILD_ROOT in spec file with buildroot macro
- cleanup rpmlint errors for the src.rpm
- add ragel(1) man page patch

* Tue Mar 20 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 5.19-1
- Creation of spec file
